<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php
  require('load_this/load_bigware_11.php');
  function go_set_discount_status($discount_id, $status) {
    if ($status == '1') {
      return go_db_query("update discount set status = '1' where discount_id = '" . $discount_id . "'");
    } elseif ($status == '0') {
      return go_db_query("update discount set status = '0' where discount_id = '" . $discount_id . "'");
    } else {
      return -1;
    }
  }
  require(FOLDER_RELATIV_CLASSES . 'class_bigware_1.php');
  $currencies = new currencies();
  switch ($_GET['action']) {
    case 'setflag':
      go_set_discount_status($_GET['id'], $_GET['flag']);
      go_forward(go_href_link(NAME_OF_FILE_DISCOUNT, '', 'NONSSL'));
      break;
    case 'insert':
		 $limit = $_POST['limit'];
		 $discount_procent = $_POST['discount_procent'];
      
		  go_db_query("insert into discount (`limit`,discount_procent, status) values ('" . $_POST['limit'] . "', '" .$_POST['discount_procent']. "' , '1')");
      go_forward(go_href_link(NAME_OF_FILE_DISCOUNT));
      break;
    case 'update':
      $limit = $_POST['limit'];
		  $discount_procent = $_POST['discount_procent'];
      
      go_db_query("update discount set `limit`='".$limit."',discount_procent='".$discount_procent."' where discount_id = '" . $_POST['discount_id'] . "'");
      go_forward(go_href_link(NAME_OF_FILE_DISCOUNT, '&sID=' . $discount_id));
      break;
    case 'deleteconfirm':
      $discount_id = go_db_producing_input($_GET['sID']);
      go_db_query("delete from discount where discount_id = '" . go_db_input($discount_id) . "'");
      go_forward(go_href_link(NAME_OF_FILE_DISCOUNT));
      break;
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="load_this/style.css">
<script language="javascript" src="load_this/general.js"></script>
<script language="javascript" src="load_this/menu.js"></script>
<?php
  if ( ($_GET['action'] == 'new') || ($_GET['action'] == 'change') ) {
?>
<link rel="stylesheet" type="text/css" href="load_this/javascript/calendar.css">
<script language="JavaScript" src="load_this/javascript/calendarcode.js"></script>
<?php
  }
?>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<div id="popupcalendar" class="text"></div>
<!-- header //-->
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_9.php'); ?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo FRAME_WIDTH; ?>" valign="top"></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageGeneralsign"><?php echo ABOVE_TITLE; ?></td>
            <td class="pageGeneralsign" align="right"><?php echo go_fetch_dividing_up('tranparentes.gif', ABOVE_PICTURE_WIDTH, ABOVE_PICTURE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
<?php
  if ( ($_GET['action'] == 'new') || ($_GET['action'] == 'change') ) {
    $form_action = 'insert';
    if ( ($_GET['action'] == 'change') && ($_GET['sID']) ) {
	  $form_action = 'update';
		
	  $discount_query = go_db_query("select `limit`,discount_procent from  discount where discount_id = '" . $_GET['sID'] . "'");
    $discounts = go_db_fetch_array($discount_query);
		
		  $sInfo = new objectInfo($discounts);
    } else {
      $sInfo = new objectInfo(array());
  
 }	
?>
      <tr><form name="new_feature" <?php echo 'action="' . go_href_link(NAME_OF_FILE_DISCOUNT, go_get_all_get_parameter(array('action', 'info', 'sID')) . 'action=' . $form_action, 'NONSSL') . '"'; ?> method="post"><?php if ($form_action == 'update') echo go_fetch_hidden_field('discount_id', $_GET['sID']); ?>
        <td><br>
        
        
<table cellpadding="5" border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top">        
        
        
        
        <table border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main"><?php echo TEXT_DISCOUNT_LIMIT; ?>&nbsp;</td>
            <td class="main"><?php echo go_fetch_inputfeld('limit',$sInfo->limit,'size "6"');?></td>
          </tr>
					<tr>
           <td class="main"><?php echo TEXT_DISCOUNT_PROCENT; ?>&nbsp;</td>
           <td class="main"><?php echo go_fetch_inputfeld('discount_procent',$sInfo->discount_procent,'size "2"');?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main" align="right" valign="top"><br>
						<?php echo (($form_action == 'insert') ? go_picture_submit('button_insert.gif', PICTURE_INSERT) : go_picture_submit('button_update.gif', PICTURE_UPDATE)). 
						'&nbsp;&nbsp;&nbsp;<a href="' . go_href_link(NAME_OF_FILE_DISCOUNT, 'sID=' . $_GET['sID']) . '">' . go_picture_button('button_cancel.gif', PICTURE_CANCEL) . '</a>'; ?></td>
          </tr>
        </table></td>
      </form></tr>
<?php
  } 
	else {
?>
      <tr>
        <td><table cellpadding="5" border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" cellpadding="5" cellspacing="1" style="border-collapse: collapse" width="100%" id="AutoNumber1">
              <tr class="tbUPCountData">
                <td class="tbUPDataInside"><?php echo DB_TBL_ABOVE_DISCONT_LIMIT; ?></td>
                <td class="tbUPDataInside" align="right"><?php echo DB_TBL_ABOVE_DISCONT_PRECENT; ?></td>
                <td class="tbUPDataInside" align="right"><?php echo DB_TBL_ABOVE_STATUS; ?></td>
                <td class="tbUPDataInside" align="right"><?php echo DB_TBL_ABOVE_ACTION; ?>&nbsp;</td>
              </tr>
<?php
    $discount_query_raw = "select `limit`,discount_procent,status,discount_id from discount order by `limit`";
    $discount_split = new splitPageResults($_GET['page'], MAX_SHOW_SEARCH_RESULTS, $discount_query_raw, $discount_query_numrows);
    $discount_query = go_db_query($discount_query_raw);
    while ($discount = go_db_fetch_array($discount_query)) {
      if ( ((!$_GET['sID']) || ($_GET['sID'] == $discount['discount_id'])) && (!$sInfo) ) {
         $sInfo = new objectInfo($discount);
      }
      if ( (is_object($sInfo)) && ($discount['discount_id'] == $sInfo->discount_id) ) {
        echo '                  <tr class="tbCountDataSelected" onmouseover="this.style.cursor=\'hand\'" onclick="document.location.href=\'' . go_href_link(NAME_OF_FILE_DISCOUNT, 'sID=' . $sInfo->discount_id . '&action=change') . '\'">' . "\n";
      } else {
        echo '                  <tr class="tbCountData" onmouseover="this.className=\'tbCountDataOver\';this.style.cursor=\'hand\'" onmouseout="this.className=\'tbCountData\'" onclick="document.location.href=\'' . go_href_link(NAME_OF_FILE_DISCOUNT,  'sID=' . $discount['discount_id']) . '\'">' . "\n";
      }
?>
                <td  class="TbInsideData"><?php echo $discount['limit']; ?></td>
								<td  class="TbInsideData"><?php echo $discount['discount_procent']; ?></td>
                <td  class="TbInsideData" align="right">
<?php
      if ($discount['status'] == '1') {
        echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_green.gif', PICTURE_ICON_STATUS_GREEN, 10, 10) . '&nbsp;&nbsp;<a href="' . go_href_link(NAME_OF_FILE_DISCOUNT, 'action=setflag&flag=0&id=' . $discount['discount_id'], 'NONSSL') . '">' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_red_light.gif', PICTURE_ICON_STATUS_RED_LIGHT, 10, 10) . '</a>';
      } else {
        echo '<a href="' . go_href_link(NAME_OF_FILE_DISCOUNT, 'action=setflag&flag=1&id=' . $discount['discount_id'], 'NONSSL') . '">' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_green_light.gif', PICTURE_ICON_STATUS_GREEN_LIGHT, 10, 10) . '</a>&nbsp;&nbsp;' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_red.gif', PICTURE_ICON_STATUS_RED, 10, 10);
      }
?></td>
                <td class="TbInsideData" align="right"><?php if ( (is_object($sInfo)) && ($discount['discount_id'] == $sInfo->discount_id) ) { echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . go_href_link(NAME_OF_FILE_DISCOUNT,  'sID=' . $featured['featured_id']) . '">' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_info.gif', PICTURE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
      </tr>
<?php
    }
?>
              <tr>
                <td colspan="4"><table border="0" width="100%" cellpadding="0"cellspacing="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $discount_split->display_count($discount_query_numrows, MAX_SHOW_SEARCH_RESULTS, $_GET['page'], TEXT_SHOW_NUMBER_OF_FEATURED); ?></td>
                    <td class="smallText" align="right"><?php echo $discount_split->display_links($discount_query_numrows, MAX_SHOW_SEARCH_RESULTS, MAX_SHOW_PAGE_LINKS, $_GET['page']); ?></td>
                  </tr>
<?php
  if (!$_GET['action']) {
?>
                  <tr> 
                    <td colspan="2" align="right"><?php echo '<a href="' . go_href_link(NAME_OF_FILE_DISCOUNT,  'action=new') . '">' . go_picture_button('button_new_rabatt.gif', PICTURE_NEW_RABATT) . '</a>'; ?></td>
                  </tr>
<?php
  }
?>
                </table></td>
              </tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();
  switch ($_GET['action']) {
    case 'delete':
      $heading[] = array('text' => '<b>' . TEXT_INFO_ABOVE_DELETE_FEATURED . '</b>');
      $contents = array('form' => go_fetch_form('discount', NAME_OF_FILE_DISCOUNT, 'sID=' . $sInfo->discount_id . '&action=deleteconfirm'));
      $contents[] = array('text' => TEXT_INFO_DISCOUNT_INTRO);
      $contents[] = array('text' => '<br><b>' . $sInfo->limit . ', '.$sInfo->discount_procent.'%  </b>');
      $contents[] = array('align' => 'center', 'text' => '<br>' . go_picture_submit('button_delete.gif', PICTURE_DELETE) . '&nbsp;<a href="' . go_href_link(NAME_OF_FILE_DISCOUNT, 'sID=' . $sInfo->discount_id) . '">' . go_picture_button('button_cancel.gif', PICTURE_CANCEL) . '</a>');
      break;
    default:
      if (is_object($sInfo)) {	
        $heading[] = array('text' => '<b>' . $sInfo->limit . ', '. $sInfo->discount_procent.'% </b>');
        $contents[] = array('align' => 'center', 'text' => '<a href="' . go_href_link(NAME_OF_FILE_DISCOUNT,  'sID=' . $sInfo->discount_id . '&action=change') . '">' . go_picture_button('button_change.gif', PICTURE_CHANGE) . '</a> <a href="' . go_href_link(NAME_OF_FILE_DISCOUNT, 'sID=' . $sInfo->discount_id . '&action=delete') . '">' . go_picture_button('button_delete.gif', PICTURE_DELETE) . '</a>');
        }
      break;
  }
  if ( (go_not_null($heading)) && (go_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";
    $frame = new frame;
    echo $frame->infoBox($heading, $contents);
    echo '            </td>' . "\n";
  }
}
?>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->
<!-- footer //-->
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_7.php'); ?>
<!-- footer_eof //-->
</body>
</html>
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_6.php'); ?>